[jitsi-users] Permission denied jibriselenium.py


#1

Hi all;
Please, this is the third time a write for help in this issue, if there
another channel where to find help, please point me there

When trying to run this command:

DISPLAY=:0 ./jibriselenium.py -u https://my.domain.com/test

I've got this error

Initializing Driver
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 62, in start
    stdout=self.log_file, stderr=self.log_file)
  File "/usr/lib/python3.5/subprocess.py", line 947, in __init__
    restore_signals, start_new_session)
  File "/usr/lib/python3.5/subprocess.py", line 1551, in _execute_child
    raise child_exception_type(errno_num, err_msg)
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./jibriselenium.py", line 324, in <module>
    js = JibriSeleniumDriver(URL,token,displayname=displayname,email=
email,pjsua_flag=pjsua_flag)
  File "./jibriselenium.py", line 69, in __init__
    self.initDriver()
  File "./jibriselenium.py", line 83, in initDriver
    self.driver = webdriver.Chrome(chrome_options=options,
desired_capabilities=desired_capabilities)
  File "/usr/local/lib/python3.5/dist-packages/selenium/
webdriver/chrome/webdriver.py", line 61, in __init__
    self.service.start()
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 74, in start
    os.path.basename(self.path), self.start_error_message)
selenium.common.exceptions.WebDriverException: Message: 'chromedriver'
executable may have wrong permissions. Please see

Exception ignored in: <bound method Service.__del__ of
<selenium.webdriver.chrome.service.Service object at 0x7f90544a85c0>>
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 162, in __del__
    self.stop()
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 134, in stop
    if self.process is None:
AttributeError: 'Service' object has no attribute 'process'

also i found this thread, with the exact same error

but, I dont know how to "manually change the executable_path"

somebody could help me with that?

best regards

Jorge Vertiz.


#2

Hello,

Looks like simply having a directory "/home/jibri/jibri-xmpp-client/" and putting your file "chromedriver" in it, could solve your problem.

I don't use jibri or selenium, just going off the GitHub issue.

exectuable_path seems to be a variable in web_driver.py from the python selenium package.

Greets

···

Am 14.08.2017 um 14:43 schrieb Jorge Vértiz:

Hi all;
Please, this is the third time a write for help in this issue, if there another channel where to find help, please point me there

When trying to run this command:

DISPLAY=:0 ./jibriselenium.py -u https://my.domain.com/test

I've got this error

Initializing Driver
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py", line 62, in start
    stdout=self.log_file, stderr=self.log_file)
  File "/usr/lib/python3.5/subprocess.py", line 947, in __init__
    restore_signals, start_new_session)
  File "/usr/lib/python3.5/subprocess.py", line 1551, in _execute_child
    raise child_exception_type(errno_num, err_msg)
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./jibriselenium.py", line 324, in <module>
    js = JibriSeleniumDriver(URL,token,displayname=displayname,email=email,pjsua_flag=pjsua_flag)
  File "./jibriselenium.py", line 69, in __init__
    self.initDriver()
  File "./jibriselenium.py", line 83, in initDriver
    self.driver = webdriver.Chrome(chrome_options=options, desired_capabilities=desired_capabilities)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/chrome/webdriver.py", line 61, in __init__
    self.service.start()
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py", line 74, in start
    os.path.basename(self.path), self.start_error_message)
selenium.common.exceptions.WebDriverException: Message: 'chromedriver' executable may have wrong permissions. Please see https://sites.google.com/a/chromium.org/chromedriver/home

Exception ignored in: <bound method Service.__del__ of <selenium.webdriver.chrome.service.Service object at 0x7f90544a85c0>>
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py", line 162, in __del__
    self.stop()
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py", line 134, in stop
    if self.process is None:
AttributeError: 'Service' object has no attribute 'process'

also i found this thread, with the exact same error

https://github.com/jitsi/jibri/issues/37

but, I dont know how to "manually change the executable_path"

somebody could help me with that?

best regards

Jorge Vertiz.

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users


#3

Hi michaels
Thanks for your response, the directory "/home/jibri/jibri-xmpp-client"
already exist, also i've tried to put the file in that directory, sadly
didn't work. I don't know how to work around this.

Jorge Vertiz.

···

2017-08-14 8:02 GMT-05:00 Michael Nix <michael.nix@secunet.com>:

Hello,

Looks like simply having a directory "/home/jibri/jibri-xmpp-client/" and
putting your file "chromedriver" in it, could solve your problem.

I don't use jibri or selenium, just going off the GitHub issue.

exectuable_path seems to be a variable in web_driver.py from the python
selenium package.

Greets
Am 14.08.2017 um 14:43 schrieb Jorge Vértiz:

Hi all;
Please, this is the third time a write for help in this issue, if there
another channel where to find help, please point me there

When trying to run this command:

DISPLAY=:0 ./jibriselenium.py -u https://my.domain.com/test

I've got this error

Initializing Driver
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 62, in start
    stdout=self.log_file, stderr=self.log_file)
  File "/usr/lib/python3.5/subprocess.py", line 947, in __init__
    restore_signals, start_new_session)
  File "/usr/lib/python3.5/subprocess.py", line 1551, in _execute_child
    raise child_exception_type(errno_num, err_msg)
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./jibriselenium.py", line 324, in <module>
    js = JibriSeleniumDriver(URL,token,displayname=displayname,email=
email,pjsua_flag=pjsua_flag)
  File "./jibriselenium.py", line 69, in __init__
    self.initDriver()
  File "./jibriselenium.py", line 83, in initDriver
    self.driver = webdriver.Chrome(chrome_options=options,
desired_capabilities=desired_capabilities)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/chrome/webdriver.py",
line 61, in __init__
    self.service.start()
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 74, in start
    os.path.basename(self.path), self.start_error_message)
selenium.common.exceptions.WebDriverException: Message: 'chromedriver'
executable may have wrong permissions. Please see
https://sites.google.com/a/chromium.org/chromedriver/home

Exception ignored in: <bound method Service.__del__ of
<selenium.webdriver.chrome.service.Service object at 0x7f90544a85c0>>
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 162, in __del__
    self.stop()
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 134, in stop
    if self.process is None:
AttributeError: 'Service' object has no attribute 'process'

also i found this thread, with the exact same error

https://github.com/jitsi/jibri/issues/37

but, I dont know how to "manually change the executable_path"

somebody could help me with that?

best regards

Jorge Vertiz.

_______________________________________________
users mailing listusers@jitsi.org
Unsubscribe instructions and other list options:http://lists.jitsi.org/mailman/listinfo/users

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users


#4

Did you get a different error message, after copying the "chromedriver" file there?

···

Am 14.08.2017 um 16:20 schrieb Jorge Vértiz:

Hi michaels
Thanks for your response, the directory "/home/jibri/jibri-xmpp-client" already exist, also i've tried to put the file in that directory, sadly didn't work. I don't know how to work around this.

Jorge Vertiz.

2017-08-14 8:02 GMT-05:00 Michael Nix <michael.nix@secunet.com <mailto:michael.nix@secunet.com>>:

    Hello,

    Looks like simply having a directory
    "/home/jibri/jibri-xmpp-client/" and putting your file
    "chromedriver" in it, could solve your problem.

    I don't use jibri or selenium, just going off the GitHub issue.

    exectuable_path seems to be a variable in web_driver.py from the
    python selenium package.

    Greets

    Am 14.08.2017 um 14:43 schrieb Jorge Vértiz:

    Hi all;
    Please, this is the third time a write for help in this issue, if
    there another channel where to find help, please point me there

    When trying to run this command:

    DISPLAY=:0 ./jibriselenium.py -u https://my.domain.com/test

    I've got this error

    Initializing Driver
    Traceback (most recent call last):
      File
    "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
    line 62, in start
        stdout=self.log_file, stderr=self.log_file)
      File "/usr/lib/python3.5/subprocess.py", line 947, in __init__
        restore_signals, start_new_session)
      File "/usr/lib/python3.5/subprocess.py", line 1551, in
    _execute_child
        raise child_exception_type(errno_num, err_msg)
    PermissionError: [Errno 13] Permission denied

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "./jibriselenium.py", line 324, in <module>
        js =
    JibriSeleniumDriver(URL,token,displayname=displayname,email=email,pjsua_flag=pjsua_flag)
      File "./jibriselenium.py", line 69, in __init__
        self.initDriver()
      File "./jibriselenium.py", line 83, in initDriver
        self.driver = webdriver.Chrome(chrome_options=options,
    desired_capabilities=desired_capabilities)
      File
    "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/chrome/webdriver.py",
    line 61, in __init__
        self.service.start()
      File
    "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
    line 74, in start
        os.path.basename(self.path), self.start_error_message)
    selenium.common.exceptions.WebDriverException: Message:
    'chromedriver' executable may have wrong permissions. Please see
    https://sites.google.com/a/chromium.org/chromedriver/home
    <https://sites.google.com/a/chromium.org/chromedriver/home>

    Exception ignored in: <bound method Service.__del__ of
    <selenium.webdriver.chrome.service.Service object at 0x7f90544a85c0>>
    Traceback (most recent call last):
      File
    "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
    line 162, in __del__
        self.stop()
      File
    "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
    line 134, in stop
        if self.process is None:
    AttributeError: 'Service' object has no attribute 'process'

    also i found this thread, with the exact same error

    https://github.com/jitsi/jibri/issues/37
    <https://github.com/jitsi/jibri/issues/37>

    but, I dont know how to "manually change the executable_path"

    somebody could help me with that?

    best regards

    Jorge Vertiz.

    _______________________________________________
    users mailing list
    users@jitsi.org <mailto:users@jitsi.org>
    Unsubscribe instructions and other list options:
    http://lists.jitsi.org/mailman/listinfo/users
    <http://lists.jitsi.org/mailman/listinfo/users>

    _______________________________________________
    users mailing list
    users@jitsi.org <mailto:users@jitsi.org>
    Unsubscribe instructions and other list options:
    http://lists.jitsi.org/mailman/listinfo/users
    <http://lists.jitsi.org/mailman/listinfo/users>

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users


#5

It give me the same message :
permissionerror: [errno 13] permission denied

also , i've been following the test procedure recommended (
https://github.com/jitsi/jibri#manually-testing-jibri). Actually the
youtube's test works fine.

Jorge Vertiz.

···

2017-08-14 9:31 GMT-05:00 Michael Nix <michael.nix@secunet.com>:

Did you get a different error message, after copying the "chromedriver"
file there?

Am 14.08.2017 um 16:20 schrieb Jorge Vértiz:

Hi michaels
Thanks for your response, the directory "/home/jibri/jibri-xmpp-client"
already exist, also i've tried to put the file in that directory, sadly
didn't work. I don't know how to work around this.

Jorge Vertiz.

2017-08-14 8:02 GMT-05:00 Michael Nix <michael.nix@secunet.com>:

Hello,

Looks like simply having a directory "/home/jibri/jibri-xmpp-client/"
and putting your file "chromedriver" in it, could solve your problem.

I don't use jibri or selenium, just going off the GitHub issue.

exectuable_path seems to be a variable in web_driver.py from the python
selenium package.

Greets
Am 14.08.2017 um 14:43 schrieb Jorge Vértiz:

Hi all;
Please, this is the third time a write for help in this issue, if there
another channel where to find help, please point me there

When trying to run this command:

DISPLAY=:0 ./jibriselenium.py -u https://my.domain.com/test

I've got this error

Initializing Driver
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 62, in start
    stdout=self.log_file, stderr=self.log_file)
  File "/usr/lib/python3.5/subprocess.py", line 947, in __init__
    restore_signals, start_new_session)
  File "/usr/lib/python3.5/subprocess.py", line 1551, in _execute_child
    raise child_exception_type(errno_num, err_msg)
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./jibriselenium.py", line 324, in <module>
    js = JibriSeleniumDriver(URL,token,displayname=displayname,email=
email,pjsua_flag=pjsua_flag)
  File "./jibriselenium.py", line 69, in __init__
    self.initDriver()
  File "./jibriselenium.py", line 83, in initDriver
    self.driver = webdriver.Chrome(chrome_options=options,
desired_capabilities=desired_capabilities)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/chrome/webdriver.py",
line 61, in __init__
    self.service.start()
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 74, in start
    os.path.basename(self.path), self.start_error_message)
selenium.common.exceptions.WebDriverException: Message: 'chromedriver'
executable may have wrong permissions. Please see
https://sites.google.com/a/chromium.org/chromedriver/home

Exception ignored in: <bound method Service.__del__ of
<selenium.webdriver.chrome.service.Service object at 0x7f90544a85c0>>
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 162, in __del__
    self.stop()
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 134, in stop
    if self.process is None:
AttributeError: 'Service' object has no attribute 'process'

also i found this thread, with the exact same error

https://github.com/jitsi/jibri/issues/37

but, I dont know how to "manually change the executable_path"

somebody could help me with that?

best regards

Jorge Vertiz.

_______________________________________________
users mailing listusers@jitsi.org
Unsubscribe instructions and other list options:http://lists.jitsi.org/mailman/listinfo/users

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users

_______________________________________________
users mailing listusers@jitsi.org
Unsubscribe instructions and other list options:http://lists.jitsi.org/mailman/listinfo/users

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users


#6

The line, where the permissions error occurs mentions something of a log file. Maybe, wherever the log file is going to be created, is not allowing your jibri user to create it.

Complete shot in the dark, but is the jibri-xmpp-client directory not owned by your jibri user and while trying to create the log file the script dies?

Try letting the jibri user own the directory you are executing the script in, maybe it works then. Other than that I have no idea.

You could try the #selenium IRC channel on freenode and ask them if they know any better.

···

Am 14.08.2017 um 16:45 schrieb Jorge Vértiz:

It give me the same message :
permissionerror: [errno 13] permission denied

also , i've been following the test procedure recommended (https://github.com/jitsi/jibri#manually-testing-jibri). Actually the youtube's test works fine.

Jorge Vertiz.

2017-08-14 9:31 GMT-05:00 Michael Nix <michael.nix@secunet.com <mailto:michael.nix@secunet.com>>:

    Did you get a different error message, after copying the
    "chromedriver" file there?

    Am 14.08.2017 um 16:20 schrieb Jorge Vértiz:

    Hi michaels
    Thanks for your response, the directory
    "/home/jibri/jibri-xmpp-client" already exist, also i've tried to
    put the file in that directory, sadly didn't work. I don't know
    how to work around this.

    Jorge Vertiz.

    2017-08-14 8:02 GMT-05:00 Michael Nix <michael.nix@secunet.com
    <mailto:michael.nix@secunet.com>>:

        Hello,

        Looks like simply having a directory
        "/home/jibri/jibri-xmpp-client/" and putting your file
        "chromedriver" in it, could solve your problem.

        I don't use jibri or selenium, just going off the GitHub issue.

        exectuable_path seems to be a variable in web_driver.py from
        the python selenium package.

        Greets

        Am 14.08.2017 um 14:43 schrieb Jorge Vértiz:

        Hi all;
        Please, this is the third time a write for help in this
        issue, if there another channel where to find help, please
        point me there

        When trying to run this command:

        DISPLAY=:0 ./jibriselenium.py -u https://my.domain.com/test

        I've got this error

        Initializing Driver
        Traceback (most recent call last):
          File
        "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
        line 62, in start
            stdout=self.log_file, stderr=self.log_file)
          File "/usr/lib/python3.5/subprocess.py", line 947, in __init__
            restore_signals, start_new_session)
          File "/usr/lib/python3.5/subprocess.py", line 1551, in
        _execute_child
            raise child_exception_type(errno_num, err_msg)
        PermissionError: [Errno 13] Permission denied

        During handling of the above exception, another exception
        occurred:

        Traceback (most recent call last):
          File "./jibriselenium.py", line 324, in <module>
            js =
        JibriSeleniumDriver(URL,token,displayname=displayname,email=email,pjsua_flag=pjsua_flag)
          File "./jibriselenium.py", line 69, in __init__
            self.initDriver()
          File "./jibriselenium.py", line 83, in initDriver
            self.driver = webdriver.Chrome(chrome_options=options,
        desired_capabilities=desired_capabilities)
          File
        "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/chrome/webdriver.py",
        line 61, in __init__
            self.service.start()
          File
        "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
        line 74, in start
            os.path.basename(self.path), self.start_error_message)
        selenium.common.exceptions.WebDriverException: Message:
        'chromedriver' executable may have wrong permissions. Please
        see
        https://sites.google.com/a/chromium.org/chromedriver/home
        <https://sites.google.com/a/chromium.org/chromedriver/home>

        Exception ignored in: <bound method Service.__del__ of
        <selenium.webdriver.chrome.service.Service object at
        0x7f90544a85c0>>
        Traceback (most recent call last):
          File
        "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
        line 162, in __del__
            self.stop()
          File
        "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
        line 134, in stop
            if self.process is None:
        AttributeError: 'Service' object has no attribute 'process'

        also i found this thread, with the exact same error

        https://github.com/jitsi/jibri/issues/37
        <https://github.com/jitsi/jibri/issues/37>

        but, I dont know how to "manually change the executable_path"

        somebody could help me with that?

        best regards

        Jorge Vertiz.

        _______________________________________________
        users mailing list
        users@jitsi.org <mailto:users@jitsi.org>
        Unsubscribe instructions and other list options:
        http://lists.jitsi.org/mailman/listinfo/users
        <http://lists.jitsi.org/mailman/listinfo/users>

        _______________________________________________
        users mailing list
        users@jitsi.org <mailto:users@jitsi.org>
        Unsubscribe instructions and other list options:
        http://lists.jitsi.org/mailman/listinfo/users
        <http://lists.jitsi.org/mailman/listinfo/users>

    _______________________________________________
    users mailing list
    users@jitsi.org <mailto:users@jitsi.org>
    Unsubscribe instructions and other list options:
    http://lists.jitsi.org/mailman/listinfo/users
    <http://lists.jitsi.org/mailman/listinfo/users>

    _______________________________________________
    users mailing list
    users@jitsi.org <mailto:users@jitsi.org>
    Unsubscribe instructions and other list options:
    http://lists.jitsi.org/mailman/listinfo/users
    <http://lists.jitsi.org/mailman/listinfo/users>

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users


#7

i've change the owner of the directory and still the same error message,
i'll try the selemium channel.

Thanks Michael.

Jorge Vertiz.

···

2017-08-14 10:02 GMT-05:00 Michael Nix <michael.nix@secunet.com>:

The line, where the permissions error occurs mentions something of a log
file. Maybe, wherever the log file is going to be created, is not allowing
your jibri user to create it.

Complete shot in the dark, but is the jibri-xmpp-client directory not
owned by your jibri user and while trying to create the log file the script
dies?

Try letting the jibri user own the directory you are executing the script
in, maybe it works then. Other than that I have no idea.

You could try the #selenium IRC channel on freenode and ask them if they
know any better.

Am 14.08.2017 um 16:45 schrieb Jorge Vértiz:

It give me the same message :
permissionerror: [errno 13] permission denied

also , i've been following the test procedure recommended (
https://github.com/jitsi/jibri#manually-testing-jibri). Actually the
youtube's test works fine.

Jorge Vertiz.

2017-08-14 9:31 GMT-05:00 Michael Nix <michael.nix@secunet.com>:

Did you get a different error message, after copying the "chromedriver"
file there?

Am 14.08.2017 um 16:20 schrieb Jorge Vértiz:

Hi michaels
Thanks for your response, the directory "/home/jibri/jibri-xmpp-client"
already exist, also i've tried to put the file in that directory, sadly
didn't work. I don't know how to work around this.

Jorge Vertiz.

2017-08-14 8:02 GMT-05:00 Michael Nix <michael.nix@secunet.com>:

Hello,

Looks like simply having a directory "/home/jibri/jibri-xmpp-client/"
and putting your file "chromedriver" in it, could solve your problem.

I don't use jibri or selenium, just going off the GitHub issue.

exectuable_path seems to be a variable in web_driver.py from the python
selenium package.

Greets
Am 14.08.2017 um 14:43 schrieb Jorge Vértiz:

Hi all;
Please, this is the third time a write for help in this issue, if there
another channel where to find help, please point me there

When trying to run this command:

DISPLAY=:0 ./jibriselenium.py -u https://my.domain.com/test

I've got this error

Initializing Driver
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 62, in start
    stdout=self.log_file, stderr=self.log_file)
  File "/usr/lib/python3.5/subprocess.py", line 947, in __init__
    restore_signals, start_new_session)
  File "/usr/lib/python3.5/subprocess.py", line 1551, in _execute_child
    raise child_exception_type(errno_num, err_msg)
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./jibriselenium.py", line 324, in <module>
    js = JibriSeleniumDriver(URL,token,displayname=displayname,email=
email,pjsua_flag=pjsua_flag)
  File "./jibriselenium.py", line 69, in __init__
    self.initDriver()
  File "./jibriselenium.py", line 83, in initDriver
    self.driver = webdriver.Chrome(chrome_options=options,
desired_capabilities=desired_capabilities)
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/chrome/webdriver.py",
line 61, in __init__
    self.service.start()
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 74, in start
    os.path.basename(self.path), self.start_error_message)
selenium.common.exceptions.WebDriverException: Message: 'chromedriver'
executable may have wrong permissions. Please see
https://sites.google.com/a/chromium.org/chromedriver/home

Exception ignored in: <bound method Service.__del__ of
<selenium.webdriver.chrome.service.Service object at 0x7f90544a85c0>>
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 162, in __del__
    self.stop()
  File "/usr/local/lib/python3.5/dist-packages/selenium/webdriver/common/service.py",
line 134, in stop
    if self.process is None:
AttributeError: 'Service' object has no attribute 'process'

also i found this thread, with the exact same error

https://github.com/jitsi/jibri/issues/37

but, I dont know how to "manually change the executable_path"

somebody could help me with that?

best regards

Jorge Vertiz.

_______________________________________________
users mailing listusers@jitsi.org
Unsubscribe instructions and other list options:http://lists.jitsi.org/mailman/listinfo/users

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users

_______________________________________________
users mailing listusers@jitsi.org
Unsubscribe instructions and other list options:http://lists.jitsi.org/mailman/listinfo/users

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users

_______________________________________________
users mailing listusers@jitsi.org
Unsubscribe instructions and other list options:http://lists.jitsi.org/mailman/listinfo/users

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users